Upgrading wxDev-c++

If you are using wxDev-C++ for your wxWidgets design, please ask your questions here instead of in IDE Related.
Post Reply
ercolesptr
In need of some credit
In need of some credit
Posts: 1
Joined: Tue Nov 08, 2022 12:12 pm

Upgrading wxDev-c++

Post by ercolesptr »

The project of wxDev-c++ has not been updated since 11 years now and the wxWidgets used as well as the GCC compiler used are very old. However the form design of wxDev-C++ as well as its ease of installation are the best around for any opensource C++ IDE. Therefore I am looking into a way to make wxDev-C++ use the latest version of GCC compiler and WxWidgets. Can someone tell me how I can do this?
ONEEYEMAN
Part Of The Furniture
Part Of The Furniture
Posts: 6421
Joined: Sat Apr 16, 2005 7:22 am
Location: USA, Ukraine

Re: Upgrading wxDev-c++

Post by ONEEYEMAN »

Hi,
Simple.
Get the source of the wxDev-C++.
See if iit will compile with the latest version of wxWidgets.
Fix any errors it will produce.
Re-package the IDE.
Place an announcement here or in the "Announcement..." forum.
Keep updating the IDE with every single update to wxWidgets.

Thank you.
PB
Part Of The Furniture
Part Of The Furniture
Posts: 3696
Joined: Sun Jan 03, 2010 5:45 pm

Re: Upgrading wxDev-c++

Post by PB »

ONEEYEMAN wrote: Fri Nov 11, 2022 6:25 pm Get the source of the wxDev-C++.
See if iit will compile with the latest version of wxWidgets.
AFAIK, somewhat ironically, wxDev-C++ is not written in C++ (it's in Pascal) nor does it use wxWidgets (it uses VCL).
Post Reply